﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestBarSeries
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }
        private void InitializeChart()
        {
            Steema.TeeChart.Themes.LookoutTheme LoTheme = new Steema.TeeChart.Themes.LookoutTheme(tChart1.Chart);
         
            LoTheme.Apply();
            Random rnd = new Random();
            int nSeries = 4; 
             Steema.TeeChart.Tools.SeriesBandTool[] band = new Steema.TeeChart.Tools.SeriesBandTool[nSeries];
            for (int i = 0; i < 4; i++)
            {
                new Steema.TeeChart.Styles.Bar(tChart1.Chart);
                

                tChart1[i].FillSampleValues(4);
                
                (tChart1[i] as Steema.TeeChart.Styles.Bar).MarksOnBar = true;
                (tChart1[i] as Steema.TeeChart.Styles.Bar).Marks.Transparent = true;
                (tChart1[i] as Steema.TeeChart.Styles.Bar).Marks.Font.Size = 10;
   
                tChart1[i].VertAxis = Steema.TeeChart.Styles.VerticalAxis.Right;
                band[i] = new Steema.TeeChart.Tools.SeriesBandTool(tChart1.Chart);
                
                if (i == 0)
                {
                   (tChart1[i] as Steema.TeeChart.Styles.Bar).MultiBar = Steema.TeeChart.Styles.MultiBars.Stacked;
                   (tChart1[i] as Steema.TeeChart.Styles.Bar).Color = Color.FromArgb(255, 239, 3);
                   band[i].Series = tChart1[i];
                   band[i].Brush.Color = Color.FromArgb(255, 239, 3);
                   band[i].Brush.Transparency = 50;
                }
                else if (i == 1)
                {
                    (tChart1[i] as Steema.TeeChart.Styles.Bar).Color = Color.FromArgb(173, 203, 64);
                    band[i].Series = tChart1[i];
                    band[i].Series2 = tChart1[i-1];
                    band[i].Brush.Color = Color.FromArgb(173, 203, 64);
                    band[i].Brush.Transparency = 50;
                }
                else if (i == 2)
                {
                    (tChart1[i] as Steema.TeeChart.Styles.Bar).Color = Color.FromArgb(135, 16, 56);
                    band[i].Series = tChart1[i];
                    band[i].Series2 = tChart1[i-1];
                    band[i].Brush.Color = Color.FromArgb(135, 16, 56);
                    band[i].Brush.Transparency = 50;
                }
                else if (i == 3)
                {
                    (tChart1[i] as Steema.TeeChart.Styles.Bar).Color = Color.FromArgb(109, 132, 166);
                    band[i].Series = tChart1[i-1];
                    band[i].Series2 = tChart1[i];
                    band[i].Brush.Color = Color.FromArgb(109, 132, 166);
                    band[i].Brush.Transparency = 50;
                }
            }
            tChart1.Axes.Bottom.AxisPen.Visible = false;
            tChart1.Axes.Right.AxisPen.Style = System.Drawing.Drawing2D.DashStyle.Dot;
            tChart1.Legend.Alignment = Steema.TeeChart.LegendAlignments.Bottom;
            tChart1.DoubleClick += new EventHandler(tChart1_DoubleClick);
        

        }
        void tChart1_DoubleClick(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }
    
    
    }
}
